<template>
  <el-select
    v-model="selected"
    v-bind="$attrs"
    :loading="loading"
    v-on="$listeners"
  >
    <el-option
      v-for="item in options"
      :key="item.id"
      :label="item.name"
      :value="item.key"
    >
      <el-row :gutter="20">
        <el-col :span="12">{{ item.key }}</el-col>
        <el-col :span="12" class="text-right">{{ item.name }}</el-col>
      </el-row>
    </el-option>
  </el-select>

</template>

<script>
import { getModelPage } from '@/api/bpm/model'

export default {
  props: {
    value: {
      type: [String, Number],
      default: ''
    }
  },
  data() {
    return {
      options: [],
      loading: false
    }
  },
  computed: {
    selected: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  created() {
    this.fetchProcessList()
  },
  methods: {
    fetchProcessList() {
      this.loading = true
      const params = {
        pageNo: 1,
        pageSize: 100
      }
      getModelPage(params).then(res => {
        const list = res.data.list || []
        this.options = list
      }).finally(() => {
        this.loading = false
      })
    }
  }
}
</script>

  <style>

  </style>

